$RULE

$include "include/registers.i3"
$include "include/CONSTANTS.i3"

int res
int jog
real lTarget
real lSpeed
real lAcc
int MovResult

function rule_init()
  ; if needed we enable the execution of the
  ; rule_prologue and rule_epilogue in the initialization rule
  rule_prologue(func_prologue)
  rule_epilogue (func_epilogue)
  ; do something
end_fun

function func_prologue
  ; do something
end_fun

function func_epilogue
  ; do something
end_fun


rule R_JOG
	; axis 1
	axes(1)

	motion
		jog = bJogPos - bJogNeg 
		; MVA_JOG2(I32 ax, I32 direct, REAl speed, REAL accel, REAL decel)
		res = MVA_JOG2(axis_x, jog,10, 100, 100, 1, 1, 0)
	end_motion

end_rule


rule R_POWER_MISSING
	axes(1,2) ; only axis 1 and 2 is managed by this rule
	motion
		res = mva_open_loop(axis_x)
		res = mva_open_loop(axis_y)
	end_motion
end_rule

rule R_FAST_STOP
      axes(axis_x, axis_y)
      motion
              iv(axis_x) = ramp(iv(axis_x), 0, max_acc(1)) ; ramp down ideal speed to 0
    iv(axis_y) = ramp(iv(axis_y), 0, max_acc(1))
      end_motion
end_rule

rule R_POSITIONING
  axes(axis_x)
  motion
    ip(axis_x) = mv_to (MovResult, 1, lTarget, lSpeed, lAcc)
    if ( rise(MovResult = M_REACHED and similar(ip(1),lTarget,1) ) )
      ; do something
    end_if
  end_motion
end_rule


